Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

tests fail to launch after upgrading to vscode 1.37 #3

Closed
kirksl opened this issue Aug 8, 2019 · 2 comments

Comments

@kirksl
Copy link
Owner

commented Aug 8, 2019

when attempting to launch any test from codelens or the tests activity bar vscode 1.37 throws an error instead of launching the test. the error is "Must have workspace folderkarate: Karate Runner"

while we work through this we recommend downgrading vscode to 1.36.1 and turning off automatic updates. https://code.visualstudio.com/updates/v1_36

@kirksl kirksl self-assigned this Aug 8, 2019
@kirksl kirksl added bug 3rd party bug and removed bug labels Aug 8, 2019
@kirksl

This comment has been minimized.

Copy link
Owner Author

commented Aug 9, 2019

we are in discussion about this with the vscode developer community. this appears to be a bug introduced by microsoft.

@kirksl

This comment has been minimized.

Copy link
Owner Author

commented Aug 9, 2019

TaskScope.Global does not work in vscode 1.37. we have provided a workaround which should resolve this. c9b74d4

@kirksl kirksl closed this Aug 9, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
1 participant
You can’t perform that action at this time.